function [XRFbands, anchorRegions, truncationLimits, backgroundRegions] = BandDefinitionsOS1()
% The new OurSci XRF band definitions.

% Species, band integration start, band integration stop, band center.

XRFbands = {...
    'N Ka1',    0.28,   0.52,   0.3924; ...
    'FeLa1',    0.6,    0.8,    0.705; ...
    'NiLa1',    0.8,	0.94,   0.8515; ...
    'CuLa1',    0.91,   1.0,	0.9297; ...
    'NaKa1',	1.0,	1.12,	1.04098;...
    'MgKa1',	1.18,	1.32,   1.24;...
    'BrLa1',	1.4,	1.64,	1.48043;...
    'AlKa1',	1.4,	1.64,	1.4867;...
    'BrLb1',	1.4,	1.64,	1.5259;...
    'ESCK Ka1SiKa1',	1.4,	1.64,	1.5738;...
    'SiKa1',	1.66,	1.82,	1.73998;...
    'ESCCaKa1SiKa1',	1.8,	2.1,	1.9517;...
    'P Ka1',	1.9,	2.1,	2.0137;...
    'P Kb1',    2.0,	2.2,	2.1391;...
    'ESCCaKb1SiKa1',	2.14,	2.4,	2.2727;...
    'S Ka1',	2.22,	2.4,	2.30784;...
    'S Kb1',	2.4,	2.5,	2.46404;...
    'ClKa1',	2.52,	2.72,   2.62239;...
    'RhLa1',	2.6,	2.8,	2.69674;...
    'ClKb1',	2.75,	2.9,	2.8156;...
    'RhLb1',	2.76,	2.92,	2.83441;...
    'ArKa1',	2.85,	3.05,	2.9577;...
    'RhLb2',	2.9,	3.1,	3.0013;...
    'ArKb1',	3.1,	3.3,	3.1905;...
    'K Ka1',	3.2,	3.4,	3.3138;...
    'SnLa1',	3.25,	3.65,	3.44398;...
    'K Kb1',	3.48,	3.68,	3.5896;...
    'CaKa1',	3.6,	3.8,	3.69168;...
    'CaKb1',	3.88,	4.12,	4.0127;...
    'TiKa2',	4.4,	4.6,	4.50486;...
    'TiKa1',	4.4,	4.6,	4.51084;...
    'TiKb1',	4.81,	5.05,	4.93181;...
    'MnKa1',	5.8,	6.0,	5.89875;...
    'FeKa2',	6.3,	6.5,	6.39084;...
    'FeKa1',	6.3,	6.5,	6.40384;...
    'MnKb1',	6.4,	6.6,	6.49045;...
    'CoKa1',	6.83,	7.03,	6.93032;...
    'SUMK Ka1CaKa1',  6.9,    7.1,    7.0055;...
    'FeKb1',	6.95,	7.15,	7.05798;...
    'NiKa1',	7.36,	7.58,   7.47815;...
    'CuKa1',	7.9,	8.15,   8.04778;...
    'NiKb1',	7.16,	7.36,   8.26466;...
    'ZnKa1',	8.5,	8.75,	8.63886;...
    'ZnKb1',	9.4,	9.8,	9.572;...
    'BrKa2',	11.7,	12.0,	11.8776;...
    'BrKa1',	11.8,	12.05,	11.9242;...
    'BrKb1',	13.2,	13.4,	13.2914;...
    'RbKa2',	13.3,	13.5,	13.3358;...
    'RbKa1',	13.3,	13.5,	13.3953;...
    'SrKa1',	13.95,	14.35,	14.165;...
    'RbKb1',	14.86,	15.06,	14.9613;...
    'SrKb1',	15.6,	16.1,	15.8357;...
    'MoKa1',	17.3,	17.7,	17.47934}; % unknown bands at 19.1, 20.15


% Background anchor regions:
%   rangeStart, rangeEnd, type
% peak-free regions based on plotting 2020 OurSci crop helium data.
anchorRegions = {...
%     0.11, 0.26, 'all';... % mean
    .52, .65, 'all';... % mean
%     .7, .8, 'all';... % mean
%     1.26, 1.4, 'min';... % min
    1.31, 1.38, 'all';... % minimum
    4.21, 4.35, 'all';... % mean
    4.65, 4.85, 'all';... % mean
    5.05, 5.55, 'all';... % mean
    %6.0, 6.2, 'min';... % min
    %7.63, 7.75, 'all';... % mean
    %8.37, 8.45, 'all';... % mean
    8.83, 9.34, 'all';... % mean
    9.93, 11.5, 'all';... % mean
    12.2, 13.1, 'min';... % min
    14.4, 15.4, 'all';... % mean
    16.2, 17.1, 'all';... % mean
    17.8, 18.4, 'all';... % mean
    20.5, 21, 'all';... % mean
    22, 23, 'all';... % mean
    24, 37, 'all'}; % mean

% Truncation Limits:
truncationLimits = [ 0.7, 40];

backgroundRegions = {...
    -inf, 0.65, 1; ... % linear fit
    0.52, 5.5, 3; ... % cubic fit
    5.1, 11.3, 4; ... % 4th degree polynomial
    10, 26, 5;... % 5th degree polynomial
    24, inf, 1}; % linear fit

end
